﻿using System;//
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Themes;
using Infragistics.Windows;

namespace ExcelStyleRecordSelector
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            
        }

        private void myDataGrid_Loaded(object sender, RoutedEventArgs e)
        {
            if (myDataGrid.Resources.Contains(typeof(RecordSelector)))
                myDataGrid.Resources.Remove(typeof(RecordSelector));
            myDataGrid.Resources.Add(typeof(RecordSelector), myDataGrid.Resources["selectorStyle"]);
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            myDataGrid.Theme = myDataGrid.Theme == "IGTheme" ? "Aero" : "IGTheme";
        }

        private void myDataGrid_ThemeChanged(object sender, RoutedPropertyChangedEventArgs<string> e)
        {
            if (myDataGrid.Resources.Contains(typeof(RecordSelector)))
                myDataGrid.Resources.Remove(typeof(RecordSelector));
            myDataGrid.Resources.Add(typeof(RecordSelector), myDataGrid.Resources["selectorStyle"]);
        }

    }

    public class Converter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return (int)value + 1;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }


    public class MultiConverter : IMultiValueConverter
    {
        public object Convert(object[] values, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (values[0] == DependencyProperty.UnsetValue
                || values[1] == DependencyProperty.UnsetValue)
            {
                return Binding.DoNothing;
            }
            LabelPresenter lp =
                Utilities.GetDescendantFromType(values[0] as DependencyObject, typeof(LabelPresenter), false)
                as LabelPresenter;

            if (lp != null)
                return lp.Background;

            return Binding.DoNothing;
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }



}
